"""
    MoinMoin - ISBN Macro

    Copyright (c) 2000-2001 by Changjune Kim <juneaftn@orgio.net>
    All rights reserved, see COPYING for details.

    [[ISBN(xxx-xxxxxxxx-xxxxxxxx-x[, k|e][, noimg])]]
        book image with the link to the amazon page

    $Id: ISBN.py,v 0.8 2001/05/24 01:58:13 
"""

# Imports
import re, string
from MoinMoin import user, config

_arg = r'(\d{1,3})-?(\d{1,8})-?(\d{1,8})-?(\d)([xX]?)(?:\s*,\s*)?([kK]|[eE])?(?:\s*,\s*)?(noimg)?'
#r'(\d{1,3})-?(\d{1,8})-?(\d{1,8})-?(\d)([xX]?)(\s*,\s*)?([kK]|[eE])?(?:\s*,\s*)(noimg)?'

def _invalidISBN(text):
    return ('<p><strong class="error">%s</strong></p>' % user.current.text('Invalid ISBN "%s"!')) % (text,)

def execute(macro, text, args=re.compile(_arg, re.I)):
    isbn = args.match(text)
    if not isbn:
        return _invalidISBN(text)
    isbnString=reduce(lambda x,y:string.join((x,y),''),isbn.groups()[:-2],"")
    lang=(isbn.groups()[-2] or ' ').lower()
    if lang == 'k':
        _booklink="http://www.aladdin.co.kr/catalog/book.asp?ISBN=%(isbn)s"
        _imglink="http://www.aladdin.co.kr/Cover/%(isbn)s_1.gif"
#        result=('<a href="http://www.aladdin.co.kr/catalog/book.asp?ISBN=%(isbn)s">'+  
#           '<img src="http://www.aladdin.co.kr/Cover/%(isbn)s_1.gif" border="0"><br>%(isbn)s</a>')%\
#           {'isbn':isbnString}
    elif lang in ('e',' '):
        _booklink="http://www.amazon.com/exec/obidos/ISBN%%3D%(isbn)s"
        _imglink="http://images.amazon.com/images/P/%(isbn)s.01.MZZZZZZZ.gif"
#        result=('<a href="http://www.amazon.com/exec/obidos/ISBN%%3D%(isbn)s">'+  
#           '<img src="http://images.amazon.com/images/P/%(isbn)s.01.MZZZZZZZ.gif" border="0"><br>%(isbn)s</a>')%\
#           {'isbn':isbnString}
    else:
        return _invalidISBN(text)
    if isbn.groups()[-1] and isbn.groups()[-1].lower()== 'noimg':
        _openLink='<a href="%(_booklink)s">'%locals()
    else:
        _openLink='<a href="%(_booklink)s"><img src="%(_imglink)s" border="0"><br>'%locals()
    result=(_openLink+'<img src="%(urlprefix)s/img/moin-www.gif" width="11" height="11" border="0" hspace="4"'+\
             ' alt="[ISBN link]">%(isbn)s</a>')%{'isbn':isbnString, 'urlprefix':config.url_prefix}
    return result


#<img src="%s/img/moin-www.gif" width="11" height="11" border="0" hspace="4" alt="[new window]">