"""
    MoinMoin - UploadedFiles Macro

    Copyright (c) 2000-2001 by Changjune Kim <juneaftn@orgio.net>
    All rights reserved, see COPYING for details.

    [[UploadedFiles(Text)]]
        Lists uploaded files with heading "text"

    $Id: UploadedFiles.py,v 0.8 2001/05/16 04:07:13 
"""

# Imports
import glob, os, locale, urllib
from MoinMoin import user,wikiutil,config,webapi

def execute(macro, text):
    this_page_name=wikiutil.quoteWikiname(macro.formatter.page.page_name)
    locale.setlocale(locale.LC_ALL,"korean") 
    if not text:
        text="Uploaded Files"
    result=macro.formatter.heading(2, text)
    if not user.current.valid:
        return result+"Available only to the members.<p>"

    fileList=glob.glob(os.path.join(config.upload_dir,'*'))
    baseFileList=[baseFile for baseFile in map(os.path.basename,fileList)]
    mtimeList=[mtime for mtime in map(os.path.getmtime,fileList)]
    theList=zip(baseFileList,fileList,mtimeList)
    theList.sort(lambda f1,f2:cmp(f2[2],f1[2])) #sort in descending order
    result+='<form name="deleteFile" method="POST" action="%(thispage)s"><input type="hidden" name="action" value="%(actname)s"><input type="hidden" name="pagename" value="%(thispage)s">'%{'actname':'DeleteUploadedFile','thispage':this_page_name}
    result+='<table class="wiki" border="1" cellspacing="0" cellpadding="3">'
    result+='<tr class="wiki"><th class="wiki"></th><th class="wiki">File Name</th><th class="wiki">Size (byte)</th><th class="wiki">Date</th></tr>'
    totalSize=0
    numOfFiles=0
    for (baseFile,fullPath,mtime) in theList:
        if not os.path.isfile(fullPath):
            continue
        spaceEscaped=baseFile.replace(' ','&nbsp;') #multiple spaces are compressed into 1 on HTML
        fileSize=os.path.getsize(fullPath)
        totalSize+=fileSize
        search_link='%s/%s?action=fullsearch&value=%s'% (
                webapi.getScriptname(),
                this_page_name,
                urllib.quote_plus(baseFile,''))
        
        thisResult='''<tr class="wiki"><td class="wiki">
<input name="files" type="checkbox" value="%(baseFile2)s"></input></td>
<td class="wiki"><a href="%(search_link)s">
<img src="%(url_prefix)s/img/moin-search.gif" width="12" height="12" border="0" hspace="2" alt="Search"></a>
<font size=-1><a href="%(url)s">%(baseFile)s</a></td>
<td class="wiki" align="right">%(size)s</td>
<td class="wiki">%(date)s</td></tr>'''% {
                   'url':os.path.join(config.url_prefix,config.upload_dir,urllib.quote(baseFile)),
                   'baseFile':spaceEscaped,
                   'baseFile2':baseFile,
                   'size': locale.format("%d",fileSize,1),
                   'date': user.current.getFormattedDate(os.path.getmtime(fullPath)),
                   'url_prefix':config.url_prefix,
                   'search_link':search_link
                   }
        result+=thisResult
        numOfFiles+=1
    result+='<tr class="wiki"><td class="wiki"></td><td class="wiki"><b>Total %d files</b></td><td align="right" class="wiki"><b>%s</b></td><td></td></tr></table><input type="submit" name="button" value="Delete checked files"></input></form>'%(
             numOfFiles,locale.format("%d",totalSize,1))
    
    return result

