"""
    MoinMoin - Configuration

    Copyright (c) 2000-2001 by Jrgen Hermann <jh@web.de>
    All rights reserved, see COPYING for details.

    $Id: moin_config.py,v 1.22 2001/03/10 17:57:08 jhermann Exp $
"""
__version__ = "$Revision: 1.22 $"[11:-2]

# basic options
data_dir = '/home/hosting_users/USER_ID/wikidata/WIKI_NAME'
url_prefix = '/wiki/WIKI_NAME'
edit_requires_login=0
access_requires_login=0
logo_string = '<img src="/wiki/WIKI_NAME/moinmoin.gif" border=0 alt="MoinMoin">' #% (url_prefix,)
changed_time_fmt = '&nbsp; [%H:%M]'
date_fmt = '%Y-%m-%d'
datetime_fmt = '%Y-%m-%d %H:%M:%S'
show_hosts = 1                          # show hostnames?
css_url = '%s/default.css' % (url_prefix,) # stylesheet link, or ''
nonexist_qm = 1                         # show '?' for nonexistent?
edit_rows = 25
show_timings=0
show_version=0
allow_extended_names=1
allowed_actions=['DeletePage','DeleteUploadedFile']
max_macro_size=128 #Maximum Size of RecentChanges in KB (0=unlimited)
charset='EUC-KR'
anonymousName='ƹ'
html_head="""
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=%s"> 
""" % (charset) 
html_head_queries="""
<META NAME="ROBOTS" CONTENT="NOINDEX,NOFOLLOW">
"""

# page names
front_page      = 'FrontPage'
recent_changes  = 'RecentChanges'
page_edit_tips  = 'HelpOnFormatting'
page_user_prefs = 'UserPreferences'

# char sets (WikiNames)
upperletters = "A-Z"
lowerletters = "0-9a-z"

# navigation bar (should be generated in the script, from a dictionary or list)
navi_bar="""
<table cellpadding=0 cellspacing=3 border=0 style="background-color:#C8C8C8;text-decoration:none"><form action="%(scriptname)s/FindPage" method="get">
  <tr>
    <td valign=top align=center bgcolor="#E8E8E8">
      <font face="Arial,Helvetica" size="-1">
        &nbsp;<a tabindex=11 style="text-decoration:none" href="%(scriptname)s/TitleIndex">ε</a>&nbsp;
      </font>
    </td>
    
    <td valign=top align=center bgcolor="#E8E8E8">
      <font face="Arial,Helvetica" size="-1">
        &nbsp;<a tabindex=11 style="text-decoration:none" href="%(scriptname)s/HelpContents"></a>&nbsp;
      </font>
    </td>

    <td valign=top align=center bgcolor="#E8E8E8">
      <font face="Arial,Helvetica" size="-1">
        &nbsp;<a tabindex=11 style="text-decoration:none" href="%(scriptname)s/FindPage">ã</a>&nbsp;
      </font>
    </td>

    <td valign=top align=center bgcolor="#E8E8E8">
      <font face="Arial,Helvetica" size="-1">
        &nbsp;<a tabindex=11 style="text-decoration:none" href="%(scriptname)s/FrontPage?action=print&value=notitle">빮</a>&nbsp;
      </font>
    </td>

    <td valign=top align=center bgcolor="#E8E8E8">
      <font face="Arial,Helvetica" size="-1">
        &nbsp;<a tabindex=11 style="text-decoration:none" href="%(scriptname)s/RecentChanges">ٲ</a>&nbsp;
      </font>
    </td>

    <td valign=top align=center bgcolor="#E8E8E8"><font face="Arial,Helvetica" size="-1"><input type="hidden" name="" value="" id="hidden_box"><input accesskey="z" tabindex=11 id="input_box" type="text" size=15 name="goto" onKeyPress="catchKey(event)"><input id="submit_button" type="submit" value="Go"></font></td>  
  </tr>
</form>
</table>
<script language="JavaScript">
<!--
    var isNav, isIE, isGo;
    isGo=1;
    document.forms[0].elements[1].focus();
    if (parseInt(navigator.appVersion) >= 4) {
        if (navigator.appName == "Netscape") {
            isNav = true
        } else {
            isIE = true
        }
    }
    function catchKey(evt) { 
       var theKey 
       if (isNav) { 
          theKey = evt.which 
       
       } else { 
          theKey = window.event.keyCode 
       }
       if (theKey==92) {          //if the key is "\"
          if (isGo) {
              document.forms[0].elements[0].name="action";
              document.forms[0].elements[0].value="titlesearch";
              document.forms[0].elements[1].name="value";
              document.forms[0].elements[2].value="Search";
              isGo=0;
        } else {
              document.forms[0].elements[0].name="";
              document.forms[0].elements[0].value="";
              document.forms[0].elements[1].name="goto";
              document.forms[0].elements[2].value="Go";
              isGo=1;
          }
       }
       return false 
    }
//-->
</script>
"""

'''
page_icons = """
<a href="%(scriptname)s/HelpContents"><img src="%(url)s/img/moin-help.gif" width="12" height="11" border="0" hspace="2" align="right" alt="Help"></a>
<a href="%(scriptname)s/FindPage?value=%(pagename)s"><img src="%(url)s/img/moin-search.gif" width="12" height="12" border="0" hspace="2" align="right" alt="Search"></a>
<a href="%(scriptname)s/%(pagename)s?action=diff"><img src="%(url)s/img/moin-diff.gif" width="15" height="11" border="0" hspace="2" align="right" alt="Diffs"></a>
<a href="%(scriptname)s/%(pagename)s?action=info"><img src="%(url)s/img/moin-info.gif" width="12" height="11" border="0" hspace="2" align="right" alt="Info"></a>
<a href="%(scriptname)s/%(pagename)s?action=edit"><img src="%(url)s/img/moin-edit.gif" width="12" height="12" border="0" hspace="2" align="right" alt="Edit"></a>
<a href="%(scriptname)s/%(pagename)s?action=print"><img src="%(url)s/img/moin-print.gif" width="12" height="13" border="0" hspace="2" align="right" alt="Print"></a>
<a href="%(scriptname)s/%(pagename)s"><img src="%(url)s/img/moin-show.gif" width="12" height="13" border="0" hspace="2" align="right" alt="View"></a>
"""
'''
page_footer1="""<a href="http://www.python.org/"><img align="right" vspace="10"
src="%s/PythonPowered.gif" width="55" height="22" border="0"
alt="PythonPowered"></a>""" % (url_prefix,)
